Skip to main content

Authentication

To authenticate against the ftpGrid Management API, you must first create a REST API access key from the ftpGrid web interface.

After creating the API access, you will receive:

  • AssociationKey
  • AccessKey
  • SecretKey

These credentials are used to obtain a Bearer token.

Required Scope​

none - public

Endpoint​

POST /apiaccess/auth

Request Fields​

FieldTypeRequiredDescription
AssociationKeystringYesYour account AssociationKey, found under settings
AccessKeystringYesGenerated when REST API account was created
SecretKeystringYesGenerated when REST API account was created

Example (HTTPie)​

we use HTTPie for examples and testing. The examples should be easy to translate into any programming language or HTTP client.

http -v POST https://api.ftpgrid.com/apiaccess/auth \
AssociationKey="f7bd3870-xxxxxx-xxxxx..." \
AccessKey="AK_xxxxxxxxxxxxxxxxx" \
SecretKey="sk_live_xxxxxxxxxxxxxxxxx"

Raw JSON Body​

{
"AssociationKey": "f7bd3870-xxxxxx-xxxxx...",
"AccessKey": "AK_xxxxxxxxxxxxxxxxx",
"SecretKey": "sk_live_xxxxxxxxxxxxxxxxx"
}

Example response​

{
"token": "eyJhbGciOi..."
}

Using the token​

Include the token in the Authorization header:

Authorization: Bearer YOUR_TOKEN